# Generated by Django 4.1.4 on 2022-12-29 20:32

import django.db.models.deletion
from django.db import migrations, models


def set_snapshot(apps, schema_editor):
    Transaction = apps.get_model("main", "Transaction")
    Snapshot = apps.get_model("main", "Snapshot")
    for transaction in Transaction.objects.filter(snapshot__isnull=True):
        transaction.snapshot = (
            Snapshot.objects.filter(user=transaction.user).order_by("-date").first()
        )
        transaction.save()


class Migration(migrations.Migration):

    dependencies = [
        ("main", "0015_alter_snapshot_options_remove_snapshot_diff_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="transaction",
            name="account",
            field=models.ForeignKey(
                blank=True,
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="main.account",
                verbose_name="Account",
            ),
        ),
        migrations.RunPython(set_snapshot),
        migrations.AlterField(
            model_name="transaction",
            name="snapshot",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="main.snapshot",
                verbose_name="Statement",
            ),
        ),
    ]
